#include <iostream>
#include <vector>
#include <cmath>
#include <map>
using namespace std;
int f(double x1, double y1, double x2, double y2, double x3, double y3, double x4, double y4){
   if(abs(x1 - x2) / abs(y1 - y2) == abs(x3 - x4) / abs(y3 - y4) && (sqrt((x1 - x2)*(x1 - x2) + (y1 - y2)*(y1 - y2)) * 2 == sqrt((x3 - x4)*(x3 - x4) + (y3 - y4)*(y3 - y4)) || sqrt((x1 - x2)*(x1 - x2) + (y1 - y2)*(y1 - y2)) == 2 * sqrt((x3 - x4)*(x3 - x4) + (y3 - y4)*(y3 - y4)))
|| abs(x1 - x4) / abs(y1 - y4) == abs(x2 - x3) / abs(y2 - y3) && (sqrt((x1 - x4)*(x1 - x4) + (y1 - y4)*(y1 - y4)) * 2 == sqrt((x2 - x3)*(x2 - x3) + (y2 - y3)*(y2 - y3)) || sqrt((x1 - x4)*(x1 - x4) + (y1 - y4)*(y1 - y4)) == 2 * sqrt((x2 - x3)*(x2 - x3) + (y2 - y3)*(y2 - y3)))){
        return true;
    }else{
        return false;
    }
}
int main()
{
   vector<pair<double, double> > a1;
    int n;
    double x, y, h = 0;
    map<double, double> a2;
    cin>>n;
    for(int i = 0; i < n; i++){
        cin>>x>>y;
        a1.push_back(make_pair(x, y));
    }
    for(int i = 0; i < n - 3; i++){
        for(int j = i + 1; j < n - 2; j++){
            for(int u = j + 1; u < n - 1; u++){
                for(int t = u + 1; t < n; t++){
                    if(f(a1[i].first, a1[i].second, a1[j].first, a1[j].second, a1[u].first, a1[u].second, a1[t].first, a1[t].second)){
                        h++;
                    }
                }
            }
        }
    }
    cout<<h;
    return 0;
}